create PROCEDURE  proc_listar_clientes
AS
create table #lista_clientes
( 	rut_cliente 	numeric(10) NULL,
	nombres   		char(30) NULL,
	apaterno 		char(15) NULL,
	amaterno			char(15) NULL,
	razon_social	char(40) NULL)

DECLARE @rut_cliente NUMERIC(10),
	@dv_rut 			CHAR(1),
 	@nombres   		CHAR(30),
	@apaterno 		CHAR(15),
	@amaterno		CHAR(15),
	@razon_social	CHAR(40),
	@estado			INTEGER


select @estado = 0
INSERT 	#lista_clientes
  SELECT empresa.rut_cliente,
			NULL, NULL, NULL,   
         empresa.razon_social  
    FROM empresa  

if @@error != 0 select @estado = -2
if @estado = 0
BEGIN
	INSERT 	#sgs_lista_clientes
  	SELECT persona.rut_cliente,   
         persona.nombres,   
         persona.apaterno,   
         persona.amaterno,  
			NULL
    FROM persona  
END

If ( @estado = 0 )
	BEGIN
		SELECT	rut_cliente,
					nombres,   		
					apaterno, 		
					amaterno,		
					razon_social
		FROM 		#lista_clientes
	END
ELSE
	BEGIN
		SELECT @estado
END;
